Package fr.gouv.vitam.ingest.internal.client

# Class IngestInternalClientFactory

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<IngestInternalClient>
fr.gouv.vitam.ingest.internal.client.IngestInternalClientFactory

All Implemented Interfaces:
  `VitamClientFactoryInterface<IngestInternalClient>`

public class IngestInternalClientFactory extends VitamClientFactory<IngestInternalClient>
IngestInternal client factory
Used to create IngestInternal client : if configuration file does not exist 'ingest-internal-client.conf',
mock IngestInternal client will be returned

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IngestInternalClient`
  `getClient()`
  This method returns the correct Client adapted to the business case
  `static final IngestInternalClientFactory`
  `getInstance()`
  Get the IngestInternalClientFactory instance
  `static IngestInternalClientFactory`
  `getInstance(WorkFlowExecutionContext executionContext)`
  Get the IngestInternalClientFactory instance for the given workflow execution context

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static final IngestInternalClientFactory getInstance()
    Get the IngestInternalClientFactory instance
    Returns:
      the instance

  - ### getInstance

    public static IngestInternalClientFactory getInstance(WorkFlowExecutionContext executionContext)
    Get the IngestInternalClientFactory instance for the given workflow execution context
    Parameters:
      `executionContext` - the workflow execution context
    Returns:
      the instance

  - ### getClient

    public IngestInternalClient getClient()
    Description copied from interface: `VitamClientFactoryInterface`
    This method returns the correct Client adapted to the business case
    Returns:
      the Vitam client